Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.wocompat.parser
Class Parser

    java.lang.Object
      org.apache.cayenne.wocompat.parser.Parser

All Implemented Interfaces:
  ParserConstants

    public class Parser

extends Object
implements ParserConstants

NeXT/Apple Property List format parser.

Contributed by Jeff Martin and Josh from Report Mill - http://www.reportmill.com/

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`ParserTokenManager` | `token_source`

Fields inherited from interface org.apache.cayenne.wocompat.parser.ParserConstants
`DEFAULT, EOF, FLOAT, INT, QUOTED_STRING, STRING, tokenImage, WithinComment, WithinQuotedString`

Constructor Summary
`Parser()`
`Parser(File f, PlistDataStructureFactory factory)`
`Parser(InputStream stream)`
`Parser(InputStream in, PlistDataStructureFactory factory)`
`Parser(ParserTokenManager tm)`
`Parser(PlistDataStructureFactory factory)`
`Parser(Reader stream)`
`Parser(String filename, PlistDataStructureFactory factory)`

Method Summary
`ArrayList` | `array()` Deprecated. since 3.0, use 'collection(String)' instead.
`Collection` | `collection(String parentKeyPath)`
`HashMap` | `dictionary()` Deprecated. since 3.0, use 'map(String)' instead.
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `keyValuePair(String parentKeyPath, Map map)`
`Object` | `leaf()`
`Map` | `map(String parentKeyPath)`
`Object` | `object()` Deprecated. since 3.0, use 'object(String)' instead.
`Object` | `object(String parentKeyPath)`
`Object` | `propertyList()`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(ParserTokenManager tm)`
`void` | `ReInit(Reader stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### Parser

    public Parser()

### Parser

    public Parser(PlistDataStructureFactory factory)

### Parser

    public Parser(String filename,
                  PlistDataStructureFactory factory)
           throws FileNotFoundException

Throws:
  `FileNotFoundException`

### Parser

    public Parser(File f,
                  PlistDataStructureFactory factory)
           throws FileNotFoundException

Throws:
  `FileNotFoundException`

### Parser

    public Parser(InputStream in,
                  PlistDataStructureFactory factory)

### Parser

    public Parser(InputStream stream)

### Parser

    public Parser(Reader stream)

### Parser

    public Parser(ParserTokenManager tm)

Method Detail

### propertyList

    public Object propertyList()

### object

    public Object object()
                  throws ParseException

  Deprecated. since 3.0, use 'object(String)' instead.

  Throws:
    `ParseException`

### dictionary

    public final HashMap dictionary()
                             throws ParseException

  Deprecated. since 3.0, use 'map(String)' instead.

  Throws:
    `ParseException`

### array

    public final ArrayList array()
                          throws ParseException

  Deprecated. since 3.0, use 'collection(String)' instead.

  Throws:
    `ParseException`

### object

    public final Object object(String parentKeyPath)
                        throws ParseException

  Throws:
    `ParseException`

### leaf

    public final Object leaf()
                      throws ParseException

  Throws:
    `ParseException`

### map

    public final Map map(String parentKeyPath)
                  throws ParseException

  Throws:
    `ParseException`

### keyValuePair

    public final void keyValuePair(String parentKeyPath,
                                   Map map)
                            throws ParseException

  Throws:
    `ParseException`

### collection

    public final Collection collection(String parentKeyPath)
                                throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(ParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.